<template>
	<div class="close-icon" v-on:click="$emit('clicked')">
		<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20">
			<path :fill="(color)? color : 'white'" d="M12.6,6.26l1.405,1.408L11.382,10.25l2.623,2.582L12.6,14.24,9.977,11.658,7.4,14.24,6,12.832,8.572,10.25,6,7.668,7.4,6.26,9.977,8.842ZM10,.25a9.625,9.625,0,0,1,7.072,2.934A9.643,9.643,0,0,1,20,10.25a9.643,9.643,0,0,1-2.927,7.066A9.625,9.625,0,0,1,10,20.25a9.625,9.625,0,0,1-7.072-2.934A9.645,9.645,0,0,1,0,10.25,9.64,9.64,0,0,1,2.927,3.184,9.626,9.626,0,0,1,10,.25Zm0,18.028a7.684,7.684,0,0,0,5.644-2.348,7.747,7.747,0,0,0,2.342-5.681,7.747,7.747,0,0,0-2.342-5.681A7.684,7.684,0,0,0,10,2.222,7.684,7.684,0,0,0,4.356,4.569,7.747,7.747,0,0,0,2.014,10.25a7.747,7.747,0,0,0,2.342,5.681A7.684,7.684,0,0,0,10,18.278Z" transform="translate(0 -0.25)" />
		</svg>
	</div>
</template>


<script>
	export default {
		props: ['color'],
		data: function () {
			return{ 
			}
		},
	}
</script>


<style lang="scss" scoped>
	.close-icon{
		cursor: pointer;
	}
</style>

